#!/bin/sh

export PATH=/sbin:/usr/sbin:/root/argus:/bin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin

set -eu

if [ -z "$*" ]
then
  echo "syntax: $0 [drv] [drv] [drv]"
  echo "  where drv is specified with just the tag, like 'ssea250-0'"
fi

LOG="/argus/checkdrive.log"
GOOD=yes
DATECMD="date +%Y%m%d.%H%M%S"

for drv in $*
do
  
  echo "${drv}: `${DATECMD}` check started"
  echo "${drv}: `${DATECMD}` check started" >> $LOG
  cd /argus/mnt/${drv}
  for file in *.ISO
  do
    echo -n "${drv}: reading $file..."
    SUMA="`cat $file | md5`"
    echo -n " ${SUMA}"
    SUMB="`cat /argus/md5/${file}.md5`"
    if [ "${SUMA}" = "${SUMB}" ]
    then
      echo ": match"
    else
      echo ": mismatch (${SUMB})"
      mkdir -p bad
      mv ${file} bad
      echo "${drv}: `${DATECMD}` ${file} mismatch ${SUMA} ${SUMB}" >> $LOG
      GOOD=no
    fi
  done
  if [ ${GOOD} = yes ]
  then
    echo "${drv}: `${DATECMD}` all passed" >> $LOG
    echo "${drv}: `${DATECMD}` all passed"
  fi
  echo "${drv}: `${DATECMD}` check complete" >> $LOG
  echo "${drv}: `${DATECMD}` check complete"
  
done