#!/bin/sh

. /argus/config/argus.config


# update symlinks

echo -n "updating symlinks:"
# do this priority order since we want highest priority last
# so that higher priority drives get the symlinks
for drv in `argus-listdrives-pri.sh rev`
do
  cd /argus/mnt/${drv}
  for ShortName in *.ISO *.iso
  do
	  if [ -f ${ShortName} ]
	  then
	    echo -n "."
            ln -sf /argus/mnt/${drv}/${ShortName} ${SrcPath}/${ShortName}
	  fi
  done
  
done
echo ""

echo "doing import..."
argus-import.sh



echo "checking file counts..."
# check for N copies of each file

for drv in `argus-listdrives-pri.sh`
do
  cd /argus/mnt/${drv}
  for ShortName in *.ISO *.iso
  do
	  if [ -f ${ShortName} ]
	  then
	      Num="`argus-countlocations.sh ${ShortName}`"
	      if [ ${Num} -lt ${RequiredLocations} ]
	      then
                Add=$((${RequiredLocations}-${Num}))
	        argus-placefile.sh ${ShortName} ${Add} /argus/mnt/${drv}
	      fi
	  fi
  done
done


echo -n "updating symlinks:"

# do this priority order since we want highest priority last
# so that higher priority drives get the symlinks
for drv in `argus-listdrives-pri.sh rev`
do
  cd /argus/mnt/${drv}
  for ShortName in *.ISO *.iso
  do
	  if [ -f ${ShortName} ]
	  then
	  	echo -n "."
              ln -sf /argus/mnt/${drv}/${ShortName} ${SrcPath}/${ShortName}
	  fi
  done
done
echo ""

echo "setting permissions..."
chmod -R 755 /argus
chown -R 1000:503 /argus

