#!/bin/sh

ShortName=$1
Num=$2
CurrentDir=$3

filesize="`du ${CurrentDir}/${ShortName} |tr -s "\t " " "|cut -d " " -f 1`"

echo "Locatating places for ${ShortName}, size ${filesize}k..."

for line in `df|grep /argus/mnt/|tr -s " " " "|cut -d " " -f 4,6|sort -rn|tr " " ""`
do
  if [ ${Num} -eq 0 ]
  then
    exit 0
  fi
  
  space="`echo ${line}|tr "" " "|cut -d " " -f 1`"
  drv="`echo ${line}|tr "" " "|cut -d " " -f 2|cut -d "/" -f 4`"
  
  if [ $space -gt $filesize ]
  then
    if [ ! -f /argus/mnt/${drv}/${ShortName} ] && [ ! -e /argus/mnt/${drv}/noplace ]
    then
      echo "Putting file ${ShortName} from ${CurrentDir} on ${drv}"
      #rsync -av --progress ${CurrentDir}/${ShortName} /argus/mnt/${drv}/${ShortName}  
      java -jar /argus/bin/FileCopy.jar ${CurrentDir} /argus/mnt/${drv} ${ShortName} /argus/md5
      ret=$?
      if [ $ret -eq 0 ]
      then
        Num=$(($Num-1))
      else
        rm -f /argus/mnt/${drv}/${ShortName}
      fi
      
    fi  
  fi
  
done

if [ $Num -gt 0 ]
then
  echo "Unable to find enough drives with enough space for ${ShortName}"
  exit 1
fi