/*
Copyright (c) 2004 Joseph Gleason

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

Current versions of this and other code can be downloaded at:
http://gleason.cc/

*/

#include <stdio.h>
#include <string.h>
#include <assert.h>

#include "configfile.h"
#include "str2tok.h"


int processline(char* Line, hash_table_t* T, int Debug)
{
   char Key[1024];
   char *Value;


   int Size;
   int i;
   Size=strlen(Line);

   for(i=0; i<Size; i++)
   {
      if (Line[i]=='#') Line[i]=0;
   }

   for(i=0; (i<Size) && (Line[i]!='='); i++)
   {
      Key[i]=Line[i];
   }
   Key[i]=0;

   char* Val;
   Val=strstr(Line,"=");
   if (Val==NULL)
   {
      return 0;
   }
   else
   {
      Val++;
      Value=(char*)malloc(strlen(Val)+1);
      for(i=0; ( (i<strlen(Val)) && (Val[i] != '\n') && (Val[i] != '\r')); i++)
      {

         Value[i]=Val[i];
      }
      Value[i]=0;


      strtrimws(Key);
      strtrimws(Value);

      if (Debug) printf("  Configfile data found, Key='%s' Value='%s'\n",Key,Value);
      hash_table_put(T,Key,strlen(Key+1),Value);

      return 1;
   }

}

int configfile_read_into_hash_table(FILE* In, hash_table_t* T, int Debug)
{
   assert(In);
   int NumberFound;
   char Line[1024];

   NumberFound=0;

   int Next=1;

   while(Next>0)
   {
      fgets(Line,1024,In);
      NumberFound+=processline(Line,T,Debug);
      Next=fgetc(In); ungetc(Next,In);

   }

   if (Debug) printf("Config file had %d entries.\n",NumberFound);
   return NumberFound;

}


