/*
Copyright (c) 2004 Joseph Gleason

Permission is hereby granted, free of charge, to any person obtaining
a copy of this software and associated documentation files (the "Software"),
to deal in the Software without restriction, including without limitation
the rights to use, copy, modify, merge, publish, distribute, sublicense,
and/or sell copies of the Software, and to permit persons to whom the
Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
SOFTWARE.

Current versions of this and other code can be downloaded at:
http://gleason.cc/

*/



/***********************************************************
 * glsn-filemodtime
 * prints the time the file was last modified
 ***********************************************************/

#include <sys/types.h>
#include <sys/stat.h>

#include <iostream>
#include <fstream>
#include <cstdio>

using namespace std;

int main(int argc, char* argv[])
{
    if (argc!=2)
    {
        cout << "Usage: glsn-filemodtime <filename>" << endl;
        cout << "Prints the time the file was last modified" << endl;
        return 1;
    }

    struct stat *sb=new struct stat();


    int R=stat(argv[1],sb);
    if (R==0)
    {
        int FileModeTime=sb->st_mtime;

        cout << (FileModeTime) << endl;

        return 0;
    }
    else
    {
        perror(NULL);
        return R;
    }

}

